.footer {
    background-color: #937cb9;
    background-size: cover;
    color: #ffffff;
    padding: 20px 10% 20px;
    font-family: var(--nunitosans);
    position: relative;
}

.footer-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
}

.footer-left {
    text-align: center; 
}

.footer-logo {
    width: 250px;
    margin-bottom: 20px;
}

.social-icons {
    display: flex;
    gap: 15px;
    justify-content: left;
    margin-top: 10px;
    align-items: center;
}

.social-icons img {
    max-height: 30px; 
    max-width: 30px; 
    object-fit: contain; 
}

.footer-right {
    flex: 1;
    padding: 20px;
    margin-top: 60px;
    text-align: start;
}

.footer-menu {
    display: flex;
    gap: 10%;
    margin-bottom: 70px;
    justify-content: flex-end;
}

.footer-menu-column h4 {
    font-weight: bold;
    font-family: var(--nunitosans);
    margin-bottom: 10px;
    font-size: 13px;
    letter-spacing: 2px;
}

.footer-menu-column a {
    display: block;
    color: #ffffff;
    font-family: var(--nunitosans);
    text-decoration: none;
    font-size: 13px;
    letter-spacing: 2px;
    margin-bottom: 10px;
    transition: color 0.3s ease-in-out;
}

.footer-menu-column a:hover {
    color: #d1d1d1;
}

.footer-separator {
    border: none;
    border-top: 1px solid #ffffff;
    width: 80%; 
    margin: 10px 0;
}

.footer-copyright-wrapper {display: flex; justify-content: flex-end;}

.footer-copyright {
    text-align: start;
    font-family: var(--nunitosans);
    font-size: 13px;
    padding-left: 20px;
    padding-top: 12px;
    padding-bottom: 10px;
    letter-spacing: 3px;
    border-top: 1px solid #FFF;
    border-bottom: 1px solid #FFF;
    margin-top: 0;
    margin-bottom: 0;
    width: 100%;
    max-width: 480px;
}

.back-to-top {
    position: absolute;
    right: 5%;
    top: 60px;
    transform: translateX(-50%);
    text-align: center;
    z-index: 10;
}

.back-to-top img {
    width: 50px;
    height: auto;
    cursor: pointer;
    transition: transform 0.3s ease;
}

.back-to-top img:hover {
    transform: scale(1.1);
}


@media screen and (max-width: 1024px) {
	.footer {padding-left: 5%; padding-right: 5%;}
}

@media screen and (max-width: 900px) {
	
}

@media screen and (max-width: 800px) {
	.footer {padding-left: 2%; padding-right: 2%;}
    .footer-copyright {letter-spacing: 2px;}
}

@media screen and (max-width: 700px) {
	
}

@media screen and (max-width: 600px) {
    .footer {padding-left: 5%; padding-right: 5%; padding-top: 50px;}
	.footer-content {flex-direction: column;}
    .footer-right {margin-top: 0; width: 100%; padding: 0; padding-top: 10px;}
    .footer-left {width: 100%; text-align: left;}
    .footer-menu {justify-content: space-between; margin-bottom: 35px; width: 100%;}
    .footer-copyright-wrapper {justify-content: flex-start;}
    .footer-copyright {max-width: unset; letter-spacing: 3px;}
}

@media screen and (max-width: 550px) {
	.footer-menu {gap: 5%;}
}

@media screen and (max-width: 500px) {
	.footer-menu-column h4 {font-size: 13px;}
    .footer-menu-column a {font-size: 12px;}
    .footer-copyright {letter-spacing: 2px;}
}

@media screen and (max-width: 450px) {
	.footer-content {align-items: flex-start;}
    .footer-left {width: 65%;}
}

@media screen and (max-width: 400px) {
	
}

@media screen and (max-width: 350px) {
	
}